package model;

/**
 * 教师实体类
 */
public class Teacher {
    private int id;              // 数据库主键ID
    private String teacherId;    // 教师工号
    private String name;         // 教师姓名
    private String department;   // 所属部门
    private String contact;      // 联系方式
    private String password;     // 登录密码

    // 使用 IDE 自动生成以下内容：
    public Teacher( String teacherId, String name, String department, String contact,
                    String password) {

        this.teacherId = teacherId;
        this.name = name;
        this.department = department;
        this.contact = contact;
        this.password = password;
    }

    public Teacher() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }


    // 构造方法
    // getter 和 setter 方法
}